npx nx g @nxrocks/nx-spring-boot:project \
--name kafka-consumer \
--projectType application \
--artifactId kafka-consumer \
--buildSystem maven-project \
--dependencies "" \
--directory ./apps/kafka-consumer \
--groupId dev.evsoncustodio \
--javaVersion 21 \
--language java \
--packageName dev.evsoncustodio.kafka.consumer \
--packaging jar \
--addToExistingParentModule false \
--keepProjectLevelWrapper true \
--projectNameAndRootFormat "as-provided" \
--transformIntoMultiModule false \
--description "Kafka Consumer Example" \
--skipFormat false

npx nx g @nxrocks/nx-spring-boot:project \
--name kafka-producer \
--projectType application \
--artifactId kafka-producer \
--buildSystem maven-project \
--dependencies "" \
--directory ./apps/kafka-producer \
--groupId dev.evsoncustodio \
--javaVersion 21 \
--language java \
--packageName dev.evsoncustodio.kafka.producer \
--packaging jar \
--addToExistingParentModule false \
--keepProjectLevelWrapper true \
--projectNameAndRootFormat "as-provided" \
--transformIntoMultiModule false \
--description "Kafka Producer Example" \
--skipFormat false

npx nx g @nxrocks/nx-spring-boot:project \
--name kafka-model \
--projectType library \
--artifactId kafka-model \
--buildSystem maven-project \
--dependencies "" \
--directory ./libs/kafka-model \
--groupId dev.evsoncustodio \
--javaVersion 21 \
--language java \
--packageName dev.evsoncustodio.kafka.model \
--packaging jar \
--addToExistingParentModule false \
--keepProjectLevelWrapper true \
--projectNameAndRootFormat "as-provided" \
--transformIntoMultiModule false \
--description "Kafka Model Example" \
--skipFormat false
